"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateGlobalFilterResponseDto = exports.updateGlobalFilterResponseSchema = exports.UpdateGlobalFilterDto = exports.updateGlobalFilterSchema = void 0;
const account_dto_1 = require("./account.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_dto_1 = require("../../tag/dto/tag.dto");
const zod_1 = require("zod");
exports.updateGlobalFilterSchema = zod_1.z.object({
    active: account_dto_1.accountSchema.shape.isGlobalFilterActive,
    tagsIds: zod_1.z.array(tag_dto_1.tagSchema.shape.id),
});
class UpdateGlobalFilterDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.updateGlobalFilterSchema) {
}
exports.UpdateGlobalFilterDto = UpdateGlobalFilterDto;
exports.updateGlobalFilterResponseSchema = account_dto_1.accountSchema.merge(zod_1.z.object({
    globalFilter: zod_1.z.array(tag_dto_1.tagSchema),
}));
class UpdateGlobalFilterResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.updateGlobalFilterResponseSchema) {
}
exports.UpdateGlobalFilterResponseDto = UpdateGlobalFilterResponseDto;
//# sourceMappingURL=update-global-filter.dto.js.map