import { z } from 'zod';
export declare const commentSchema: z.ZodObject<{
    id: z.ZodString;
    content: z.ZodString;
    createdBy: z.ZodString;
    profileId: z.ZodString;
    isSolvable: z.ZodDefault<z.ZodBoolean>;
    isSolved: z.ZodDefault<z.ZodBoolean>;
    solvedAt: z.ZodNullable<z.ZodDate>;
    solvedBy: z.ZodOptional<z.ZodString>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    id: string;
    content: string;
    isSolvable: boolean;
    created_at: Date;
    updated_at: Date;
    createdBy: string;
    profileId: string;
    isSolved: boolean;
    solvedAt: Date | null;
    solvedBy?: string | undefined;
}, {
    id: string;
    content: string;
    created_at: Date;
    updated_at: Date;
    createdBy: string;
    profileId: string;
    solvedAt: Date | null;
    isSolvable?: boolean | undefined;
    isSolved?: boolean | undefined;
    solvedBy?: string | undefined;
}>;
declare const CommentDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    content: z.ZodString;
    createdBy: z.ZodString;
    profileId: z.ZodString;
    isSolvable: z.ZodDefault<z.ZodBoolean>;
    isSolved: z.ZodDefault<z.ZodBoolean>;
    solvedAt: z.ZodNullable<z.ZodString>;
    solvedBy: z.ZodOptional<z.ZodString>;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    id: string;
    content: string;
    isSolvable: boolean;
    created_at: string;
    updated_at: string;
    createdBy: string;
    profileId: string;
    isSolved: boolean;
    solvedAt: string | null;
    solvedBy?: string | undefined;
}, {
    id: string;
    content: string;
    created_at: string;
    updated_at: string;
    createdBy: string;
    profileId: string;
    solvedAt: string | null;
    isSolvable?: boolean | undefined;
    isSolved?: boolean | undefined;
    solvedBy?: string | undefined;
}>>;
export declare class CommentDto extends CommentDto_base {
}
export {};
