import z from 'zod';
export type ArgCity = {
    id: string;
    nombre: string;
    fuente: string;
    provincia: {
        id: string;
        nombre: string;
    };
    departamento: {
        id: string;
        nombre: string;
    };
    municipio: {
        id: string;
        nombre: string;
    };
    localidad_censal: {
        id: string;
        nombre: string;
    };
    categoria: string;
    centroide: {
        lon: number;
        lat: number;
    };
};
export declare const argCitySchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    state: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
    }, {
        id: string;
        name: string;
    }>;
    department: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
    }, {
        id: string;
        name: string;
    }>;
    municipality: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
    }, {
        id: string;
        name: string;
    }>;
    censusLocality: z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
    }, {
        id: string;
        name: string;
    }>;
    category: z.ZodString;
    centroid: z.ZodObject<{
        lon: z.ZodNumber;
        lat: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        lon: number;
        lat: number;
    }, {
        lon: number;
        lat: number;
    }>;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    state: {
        id: string;
        name: string;
    };
    department: {
        id: string;
        name: string;
    };
    municipality: {
        id: string;
        name: string;
    };
    censusLocality: {
        id: string;
        name: string;
    };
    category: string;
    centroid: {
        lon: number;
        lat: number;
    };
}, {
    id: string;
    name: string;
    state: {
        id: string;
        name: string;
    };
    department: {
        id: string;
        name: string;
    };
    municipality: {
        id: string;
        name: string;
    };
    censusLocality: {
        id: string;
        name: string;
    };
    category: string;
    centroid: {
        lon: number;
        lat: number;
    };
}>;
