import z from 'zod';
export declare const findAllStatesByCountryResponseSchema: z.ZodObject<{
    states: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        isoCode: z.ZodString;
        countryCode: z.ZodString;
        countryName: z.ZodString;
        latitude: z.ZodOptional<z.ZodNullable<z.ZodString>>;
        longitude: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        countryCode: string;
        isoCode: string;
        countryName: string;
        latitude?: string | null | undefined;
        longitude?: string | null | undefined;
    }, {
        name: string;
        countryCode: string;
        isoCode: string;
        countryName: string;
        latitude?: string | null | undefined;
        longitude?: string | null | undefined;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    states: {
        name: string;
        countryCode: string;
        isoCode: string;
        countryName: string;
        latitude?: string | null | undefined;
        longitude?: string | null | undefined;
    }[];
}, {
    states: {
        name: string;
        countryCode: string;
        isoCode: string;
        countryName: string;
        latitude?: string | null | undefined;
        longitude?: string | null | undefined;
    }[];
}>;
declare const FindAllStatesByCountryResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    states: z.ZodArray<z.ZodObject<{
        name: z.ZodString;
        isoCode: z.ZodString;
        countryCode: z.ZodString;
        countryName: z.ZodString;
        latitude: z.ZodOptional<z.ZodNullable<z.ZodString>>;
        longitude: z.ZodOptional<z.ZodNullable<z.ZodString>>;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        name: string;
        countryCode: string;
        isoCode: string;
        countryName: string;
        latitude?: string | null | undefined;
        longitude?: string | null | undefined;
    }, {
        name: string;
        countryCode: string;
        isoCode: string;
        countryName: string;
        latitude?: string | null | undefined;
        longitude?: string | null | undefined;
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    states: {
        name: string;
        countryCode: string;
        isoCode: string;
        countryName: string;
        latitude?: string | null | undefined;
        longitude?: string | null | undefined;
    }[];
}, {
    states: {
        name: string;
        countryCode: string;
        isoCode: string;
        countryName: string;
        latitude?: string | null | undefined;
        longitude?: string | null | undefined;
    }[];
}>>;
export declare class FindAllStatesByCountryResponseDto extends FindAllStatesByCountryResponseDto_base {
}
export {};
