"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FindByIdProfileResponseDto = exports.findByIdProfileResponseSchema = void 0;
const location_dto_1 = require("../../location/dto/location.dto");
const profile_dto_1 = require("./profile.dto");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const tag_group_dto_1 = require("../../tag-group/dto/tag-group.dto");
const tag_dto_1 = require("../../tag/dto/tag.dto");
const zod_1 = __importDefault(require("zod"));
exports.findByIdProfileResponseSchema = profile_dto_1.profileSchema.merge(zod_1.default.object({
    residenceLocation: location_dto_1.locationSchema.nullable(),
    birthLocation: location_dto_1.locationSchema.nullable(),
    tags: zod_1.default.array(tag_dto_1.tagSchema.merge(zod_1.default.object({
        group: tag_group_dto_1.tagGroupSchema.pick({
            id: true,
            color: true,
            isExclusive: true,
        }),
    }))),
}));
class FindByIdProfileResponseDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.findByIdProfileResponseSchema) {
}
exports.FindByIdProfileResponseDto = FindByIdProfileResponseDto;
//# sourceMappingURL=find-by-id-profile.dto.js.map