import z from 'zod';
export declare const findTrashResponseSchema: z.ZodObject<{
    profiles: z.ZodArray<z.ZodObject<Pick<{
        id: z.ZodString;
        shortId: z.ZodNumber;
        phoneNumber: z.ZodEffects<z.ZodString, string, string>;
        secondaryPhoneNumber: z.ZodEffects<z.ZodNullable<z.ZodString>, string | null, string | null>;
        fullName: z.ZodString;
        firstName: z.ZodNullable<z.ZodString>;
        gender: z.ZodNullable<z.ZodString>;
        birthDate: z.ZodNullable<z.ZodPipeline<z.ZodString, z.ZodDate>>;
        profilePictureUrl: z.ZodNullable<z.ZodString>;
        instagram: z.ZodNullable<z.ZodString>;
        mail: z.ZodNullable<z.ZodString>;
        dni: z.ZodNullable<z.ZodString>;
        alternativeNames: z.ZodArray<z.ZodString, "many">;
        birthLocationId: z.ZodNullable<z.ZodString>;
        residenceLocationId: z.ZodNullable<z.ZodString>;
        isInTrash: z.ZodBoolean;
        movedToTrashDate: z.ZodNullable<z.ZodDate>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "id" | "phoneNumber" | "fullName" | "profilePictureUrl" | "created_at" | "isInTrash" | "movedToTrashDate">, "strip", z.ZodTypeAny, {
        id: string;
        phoneNumber: string;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: Date;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }, {
        id: string;
        phoneNumber: string;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: Date;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    profiles: {
        id: string;
        phoneNumber: string;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: Date;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }[];
}, {
    profiles: {
        id: string;
        phoneNumber: string;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: Date;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }[];
}>;
declare const FindTrashResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    profiles: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        phoneNumber: z.ZodEffects<z.ZodString, string, string>;
        fullName: z.ZodString;
        profilePictureUrl: z.ZodNullable<z.ZodString>;
        created_at: z.ZodString;
        isInTrash: z.ZodBoolean;
        movedToTrashDate: z.ZodNullable<z.ZodString>;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        phoneNumber: string;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: string;
        isInTrash: boolean;
        movedToTrashDate: string | null;
    }, {
        id: string;
        phoneNumber: string;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: string;
        isInTrash: boolean;
        movedToTrashDate: string | null;
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    profiles: {
        id: string;
        phoneNumber: string;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: string;
        isInTrash: boolean;
        movedToTrashDate: string | null;
    }[];
}, {
    profiles: {
        id: string;
        phoneNumber: string;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: string;
        isInTrash: boolean;
        movedToTrashDate: string | null;
    }[];
}>>;
export declare class FindTrashResponseDto extends FindTrashResponseDto_base {
}
export {};
