"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TagGroupDto = exports.tagGroupSchema = void 0;
const translate_1 = require("../../i18n/translate");
const create_zod_dto_without_date_1 = require("../../shared/dto-modification/create-zod-dto-without-date");
const zod_1 = require("zod");
exports.tagGroupSchema = zod_1.z.object({
    id: zod_1.z.string().uuid({
        message: (0, translate_1.translate)('model.tagGroup.id.uuid'),
    }),
    name: zod_1.z.string().min(1, {
        message: (0, translate_1.translate)('model.tagGroup.name.required'),
    }),
    color: zod_1.z
        .string()
        .length(7, {
        message: (0, translate_1.translate)('model.tagGroup.color.invalid'),
    })
        .startsWith('#', {
        message: (0, translate_1.translate)('model.tagGroup.color.invalid'),
    })
        .toLowerCase(),
    isExclusive: zod_1.z.boolean(),
    created_at: zod_1.z.date(),
    updated_at: zod_1.z.date(),
});
class TagGroupDto extends (0, create_zod_dto_without_date_1.createZodDtoWithoutDate)(exports.tagGroupSchema) {
}
exports.TagGroupDto = TagGroupDto;
//# sourceMappingURL=tag-group.dto.js.map